- Home
- API Enriched
- Tenant And Identity
- web
- List of Child Tenants.
List of Child Tenants.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/child_tenants';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/partner-management/child_tenants \ --header 'Authorization: <Authorization>'GET list of child tenants user has access to based on assigned membership. This is an optimized list generated based on the requesting user’s current group assignments that will allow access to child tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Filter child tenant list using name of child tenant.
Name of the Child Tenant Manager. If this field set, child tenant list will be filtered by given CTM.
PageStart will hold the UUID of the first item in the requested page. Response will contain items upto count specified in PageLimit starting from PageStart. If this is empty then first page will be served.
PageLimit will hold the limit of items required per query. Default value is set as 100.
Responses
Section titled “Responses”A successful response.
Response to GET list of child tenant access.
object
Allowed access configuration details for the tenant.
Access details of a managed tenant.
object
List of local user group association to user groups in the managed tenant.
Shape for specifying user group assosciation to user groups in a managed tenant.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
List of group names in managed tenant (MT). Note - To properly establish access, admin of managed tenant need to create corresponding Allowed Tenant configuration object with access to use same group names. Once it’s setup, when user from original tenant access managed tenant, underlying roles from managed tenant will be applied to user. Required: YES.
object
Referred link’s location. This can be treated as equivalent of href in HTML.
Name to use for displaying above link in href.
Name of the managed tenant config object. It can be used as known identifier.
object
object
Number of support tickets open in all tenants.
object
Number of support tickets open in child tenant.
NextPage contains the UUID of the first item of the next page. This value can be passed back as the PageStart in the next request. If this empty means current one is the last page.
TotalCount holds total count of access config.
TotalFilteredCount holds total count of access config after filtering.
Example
{ "access_config": [ { "tenant_status": "TENANT_STATUS_ACTIVE" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example